Package fr.gouv.vitam.functional.administration.common

# Class VitamSequence

java.lang.Object
org.bson.Document
fr.gouv.vitam.common.database.server.mongodb.VitamDocument<VitamSequence>
fr.gouv.vitam.functional.administration.common.VitamSequence

All Implemented Interfaces:
  `Serializable`, `Map<String,Object>`, `org.bson.conversions.Bson`

public class VitamSequence extends VitamDocument<VitamSequence>
Defines a Contract Sequence collection.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `COUNTER`
  the contract sequence description
  `static final String`
  `NAME`
  the contract sequence name

  ### Fields inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `ES_FILTER_OUT, ID, IMPLEMENTATIONVERSION, SCORE, SEDAVERSION, TENANT_ID, VERSION`

  ### Fields inherited from interface org.bson.conversions.Bson

  `DEFAULT_CODEC_REGISTRY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VitamSequence()`
  Empty Constructor
  `VitamSequence(com.fasterxml.jackson.databind.JsonNode content)`
  `VitamSequence(Integer tenantId)`
  `VitamSequence(String content, Integer tenant)`
  `VitamSequence(org.bson.Document document)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getCounter()`
  Get the contract sequence counter
  `String`
  `getName()`
  Name of the contract sequence
  `VitamDocument<VitamSequence>`
  `newInstance(com.fasterxml.jackson.databind.JsonNode content)`
  Make a new instance of the document with the given json
  `VitamSequence`
  `setCounter(String counter)`
  Set or change the contract sequence counter
  `VitamSequence`
  `setId(String id)`
  `VitamSequence`
  `setName(String name)`
  Set or change the contract sequence name

  ### Methods inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `checkId, getConcernedDiffLines, getId, getOriginalDiffLines, getTenantId, getUnifiedDiff, getVersion, toString, toStringDirect`

  ### Methods inherited from class org.bson.Document

  `append, clear, containsKey, containsValue, entrySet, equals, get, get, get, getBoolean, getBoolean, getDate, getDouble, getEmbedded, getEmbedded, getInteger, getInteger, getList, getList, getLong, getObjectId, getString, hashCode, isEmpty, keySet, parse, parse, put, putAll, remove, size, toBsonDocument, toJson, toJson, toJson, toJson, values`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bson.conversions.Bson

  `toBsonDocument`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Field Details

  - ### NAME

    public static final String NAME
    the contract sequence name
    See Also:
      - Constant Field Values

  - ### COUNTER

    public static final String COUNTER
    the contract sequence description
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VitamSequence

    public VitamSequence()
    Empty Constructor

  - ### VitamSequence

    public VitamSequence(org.bson.Document document)
    Constructor
    Parameters:
      `document` - data in format Document to create contact

  - ### VitamSequence

    public VitamSequence(com.fasterxml.jackson.databind.JsonNode content)
    Parameters:
      `content` - in format JsonNode to create contract sequence

  - ### VitamSequence

    public VitamSequence(String content, Integer tenant)
    Parameters:
      `content` - in format String to create contract sequence

  - ### VitamSequence

    public VitamSequence(Integer tenantId)
    Parameters:
      `tenantId` - the working tenant

- ## Method Details

  - ### newInstance

    public VitamDocument<VitamSequence> newInstance(com.fasterxml.jackson.databind.JsonNode content)
    Description copied from class: `VitamDocument`
    Make a new instance of the document with the given json
    Specified by:
      `newInstance` in class `VitamDocument<VitamSequence>`
    Parameters:
      `content` - document structure as json
    Returns:
      new document with the json as content

  - ### setId

    public VitamSequence setId(String id)
    Parameters:
      `id` - the id of ingest contract sequence
    Returns:
      AccessionRegisterDetail

  - ### getName

    public String getName()
    Name of the contract sequence
    Returns:
      name of contract sequence

  - ### setName

    public VitamSequence setName(String name)
    Set or change the contract sequence name
    Parameters:
      `name` - to set
    Returns:
      this

  - ### getCounter

    public Integer getCounter()
    Get the contract sequence counter
    Returns:
      this

  - ### setCounter

    public VitamSequence setCounter(String counter)
    Set or change the contract sequence counter
    Parameters:
      `counter` - to set
    Returns:
      this